Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class PaymentTransaction_Price_CRUD

    java.lang.Object
      com.beasys.commerce.ebusiness.payment.PaymentTransaction_Price_CRUD

Deprecated See BEA Commerce product offering

    @Deprecated
    public class PaymentTransaction_Price_CRUD

extends Object

CRUD for Aggregate Mapping

Constructor Summary
`PaymentTransaction_Price_CRUD()` Deprecated See BEA Commerce product offering

Method Summary
`static void` | `refresh(Connection connection, Object containerKey, Object container)` Deprecated See BEA Commerce product offering
`static void` | `update(Connection connection, Object containerKey, Object container)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaymentTransaction_Price_CRUD

    public PaymentTransaction_Price_CRUD()

  Deprecated See BEA Commerce product offering

Method Detail

### update

    public static void update(Connection connection,
                              Object containerKey,
                              Object container)
                       throws BMPException

  Deprecated See BEA Commerce product offering

  To update an aggregate, get the instance from the container and update him into the database

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### refresh

    public static void refresh(Connection connection,
                               Object containerKey,
                               Object container)
                        throws BMPException

  Deprecated See BEA Commerce product offering

  Refresh Aggregate o refresh an instance of the target class and associate him with the container class

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved